geos.hpp File Reference
`#include <memory>`
`#include <string>`
`#include <utility>`
`#include <geos/geom/Coordinate.h>`
`#include <geos/geom/CoordinateSequence.h>`
`#include <geos/geom/CoordinateSequenceFactory.h>`
`#include <geos/geom/GeometryFactory.h>`
`#include <geos/geom/LinearRing.h>`
`#include <geos/geom/MultiPolygon.h>`
`#include <geos/geom/Point.h>`
`#include <geos/geom/Polygon.h>`
`#include <geos/geom/PrecisionModel.h>`
`#include <geos/util/GEOSException.h>`
`#include <osmium/geom/factory.hpp>`
`#include <osmium/geom/coordinates.hpp>`
Include dependency graph for geos.hpp:

Go to the source code of this file.

## Classes

struct | osmium::geos_geometry_error

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::geom
| Everything related to geometry handling.

## Macros

#define | THROW std::throw_with_nested

## Typedefs

template<typename TProjection = IdentityProjection>
using | osmium::geom::GEOSFactory = GeometryFactory< osmium::geom::detail::GEOSFactoryImpl, TProjection >

## Detailed Description

This file contains code for conversion of OSM geometries into GDAL geometries.

Attention
  If you include this file, you'll need to link with `libgeos`.

## Macro Definition Documentation

#define THROW std::throw_with_nested